#pragma once

#include <string>
#include <map>
#include <Resource/DataArray.h>

namespace assets
{
	class Artisan
	{
	public:
		Artisan() {}
		void load(gge::resource::DataArray &dataArray);
		static Artisan &loadNew(gge::resource::DataArray &dataArray)
		{
			Artisan &artisan = *new Artisan;
			artisan.load(dataArray);
			return artisan;
		}

		std::string ID;

		static std::map<std::string, Artisan*> list;
	};
}